Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc	(revision 1055)
@@ -8247,5 +8546,5 @@
                         {
                           if(chCH+reTCH-chQC.GetCharge()-nnQC.GetCharge())
-						                      G4cout<<"**G4QE::CGS:ChEx CH+2G i="<<reTCH<<"+h="<<chCH<<", f="
+                            G4cout<<"**G4QE::CGS:ChEx CH+2G i="<<reTCH<<"+h="<<chCH<<", f="
                                   <<nnQC.GetCharge()<<"+o="<<chQC.GetCharge()<<G4endl;
                           curHadr->Set4Momentum(ch4M);// Change 4M of the Current Hadron
@@ -8268,5 +8567,5 @@
                           G4QNucleus(G4QContent(0,0,0,0,0,0),G4LorentzVector(0.,0.,0.,0.));
                           return true;
-		                      }
+                        }
                       } // End of "the Normal decay without 2 gammas"
                       else                        // Normal decay (without "Pi0"->2 gammas)
@@ -8282,5 +8581,5 @@
                         {
                           if(chCH+reTCH-chQC.GetCharge()-nnQC.GetCharge())
-						                      G4cout<<"**G4QE::CGS:ChEx CH+RQ i="<<reTCH<<"+h="<<chCH<<", f="
+                            G4cout<<"**G4QE::CGS:ChEx CH+RQ i="<<reTCH<<"+h="<<chCH<<", f="
                                   <<nnQC.GetCharge()<<"+o="<<chQC.GetCharge()<<G4endl;
                           curHadr->Set4Momentum(ch4M);// Change 4M of the Current Hadron
@@ -8297,9 +8596,9 @@
                           G4QNucleus(G4QContent(0,0,0,0,0,0),G4LorentzVector(0.,0.,0.,0.));
                           return true;
-		                      }
+                        }
                       } // End of "the Normal decay without 2 gammas"
                     }
                     else
-																		  {
+                    {
 #ifdef cdebug
                       G4cout<<"**G4QE::CGS:rM+hB="<<nnM+chM<<">"<<ttM<<",B="<<chBN<<G4endl;
@@ -8314,5 +8613,6 @@
                         G4int tcC=tcQC.GetCharge();                 // Total Charge
                         G4int tcBN=tcQC.GetBaryonNumber();          // Total Baryon Number
-                        if ( tcBN == 2 || (!tcS && !tcC) || tcS == tcBN || tcC == tcBN ) //dec DiBar or MulBar
+                        //Try to decay in DiBaryon or MultyBaryon
+                        if ( tcBN == 2 || (!tcS && !tcC) || tcS == tcBN || tcC == tcBN )
                         {
                           if(tcBN==2) theEnvironment.DecayDibaryon(tcH,&theQHadrons); // DB
@@ -8327,5 +8627,5 @@
                         }
                         else if(tcM<ttM)// @@ Can't evaporate here, can only radiate gamma
-																						  {
+                        {
                           G4LorentzVector tc4M=G4LorentzVector(0.,0.,0.,tcM);//4M of TotCom
                           G4LorentzVector gc4M=G4LorentzVector(0.,0.,0.,0.); //4M of gamma
@@ -8351,8 +8651,8 @@
 #endif
                             EvaporateResidual(tcH); // Try to evaporate(d.e.)
-		                        }
+                          }
                         }
-																						  else // @@ Fill the TotalCompound instead of the CurrentHadron @@
-																						  {
+                        else // @@ Fill the TotalCompound instead of the CurrentHadron @@
+                        {
 #ifdef cdebug
                           G4cout<<"G4QE::CGS:**CEF,M="<<tcM<<">"<<ttM<<",B="<<chBN<<G4endl;
@@ -8368,7 +8668,7 @@
                 } // End of the IF: KINEMATIC CHECK FOR THE CURRENT HADRON(Isonuclear Case)
                 else if(norN)
-		              {
+                {
                   if(resSMa+chM<ttM)          // PANIC can be resolved with this CurHadron
-			               {
+                  {
                     G4LorentzVector quas4M = G4LorentzVector(0.,0.,0.,resSMa);// GSMass ofQ
                     G4QHadron* rqH = new G4QHadron(reTQC,quas4M);// Prototype OutputResidQ
@@ -8395,9 +8695,9 @@
                                                             ,G4LorentzVector(0.,0.,0.,0.));
                       return true;
-		                  }
+                    }
                   } // End of the KINEMATIC CHECK FOR THE CURRENT HADRON if (NormNuclCase)
                 } // End of IsoNucleus/NormalNucleus choice
               } // End of the NumberOfFragments=0 (NOT DECAYED PARTICLE) if
-			         } // End of the LOOP over hadrons and all attempts to resolve PANIC
+            } // End of the LOOP over hadrons and all attempts to resolve PANIC
 #ifdef cdebug
             G4cout<<"G4QEnv::CheckGS:***Any hadron from the OUTPUT did not help"<<G4endl;
@@ -8410,10 +8710,10 @@
             if(npiz>-1) hind=npiz;
             else
-												{
+            {
               if(resC+resC>resB && npim>-1) hind=npim;
               else                          hind=npip;
             }
             if(hind>-1)
-												{
+            {
               G4QHadron* curHadr = theQHadrons[hind];
               G4int chNF=curHadr->GetNFragments();
@@ -8446,5 +8746,5 @@
                   if(!G4QHadron(tt4M).DecayIn3(quas4M,fgam4M,sgam4M))G4cout<<"*3*"<<G4endl;
                   else
-																		{
+                  {
                     curHadr->Set4Momentum(fgam4M); // Change 4M of the Pion to Gamma
                     curHadr->SetQPDG(gamQPDG);      // Change QPDG of the Pion to Gamma
@@ -8462,5 +8762,5 @@
           return false;
         } // End of the KINEMATIC LIMIT FOR THE L&P CORRECTION if/else (try any hadron)
-	     } // End of the POSSIBILITY OF PREV+LAST (OR MORE) CORRECTION if
+      } // End of the POSSIBILITY OF PREV+LAST (OR MORE) CORRECTION if
       else return false;
     } // End of the CORRECTION WITH THE LAST if/else
@@ -8484,5 +8784,5 @@
       {
 #ifdef pdebug
-	       G4cout<<"G4QEnv::Copy&DeleteHV:#"<<ih<<", hPDG="<<inH->GetPDGCode()<<G4endl;
+        G4cout<<"G4QEnv::Copy&DeleteHV:#"<<ih<<", hPDG="<<inH->GetPDGCode()<<G4endl;
 #endif
         G4QHadron* curH = new G4QHadron(inH);      // will be deleted with allQHadronVector
@@ -8517,7 +8817,7 @@
     resSMa+=resEMa;                               // Minimal Split Mass of Residual Nucleus
     G4double resTMa=reTLV.m();                    // CM Mass of theResidNucleus (Quasm+Env)
-	//#ifdef pdebug
+ //#ifdef pdebug
     G4cout<<"G4QEnv::DecayInEnvQ: totM="<<reTLV<<resTMa<<" > rQM+rEM="<<resSMa<<G4endl;
-	//#endif
+ //#endif
     if(resTMa>resSMa)
     {
@@ -8538,5 +8838,5 @@
         envaH->Set4Momentum(enva4M);
         EvaporateResidual(envaH);                // Try to evaporate residual (del. equiv.)
-	     }
+      }
     }
     else return false;
@@ -8554,5 +8854,5 @@
   tot4Mom  +=Q->Get4Momentum();
 #ifdef debug
-		G4cout<<"G4QEnv::AddQuasmon:t4M="<<tot4Mom<<",tC="<<totCharge<<",tB="<<totBaryoN<<G4endl;
+  G4cout<<"G4QEnv::AddQuasmon:t4M="<<tot4Mom<<",tC="<<totCharge<<",tB="<<totBaryoN<<G4endl;
 #endif
 }
@@ -8574,10 +8874,10 @@
       if(quad>0.875)    return G4ThreeVector(-x/r,-y/r,-z/r);
       else              return G4ThreeVector(-x/r,-y/r, z/r);
-	   }
+    }
     else
     {
       if(quad>0.625)    return G4ThreeVector(-x/r, y/r,-z/r);
       else              return G4ThreeVector(-x/r, y/r, z/r);
-	   }
+    }
   }
   else
@@ -8587,5 +8887,5 @@
       if(quad>0.375)    return G4ThreeVector( x/r,-y/r,-z/r);
       else              return G4ThreeVector( x/r,-y/r, z/r);
-	   }
+    }
     else if(quad>0.125) return G4ThreeVector( x/r, y/r,-z/r);
   }
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QException.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QException.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QException.cc	(revision 1055)
@@ -25,11 +25,13 @@
 //
 //
-// $Id: G4QException.cc,v 1.9 2006/06/29 20:06:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QException.cc,v 1.10 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QException ----------------
 //           by Mikhail Kossov, November 2003.
 //      class for an Exception used by the CHIPS Model
-// ------------------------------------------------------------
+// -------------------------------------------------------------
+// Short description: Just an internal CHIPS Exception Messenger
+// -------------------------------------------------------------
 
 #include "G4QException.hh"
